Bug 1457832 (CVE-2017-6512) - CVE-2017-6512 perl-File-Path: rmtree/remove_tree race condition
Summary: CVE-2017-6512 perl-File-Path: rmtree/remove_tree race condition
Status: CLOSED WONTFIX
Alias: CVE-2017-6512
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170502,reported=2...
Keywords: Security
Depends On: 1457834
Blocks: 1457837
TreeView+ depends on / blocked
 
Reported: 2017-06-01 11:58 UTC by Andrej Nemec
Modified: 2019-06-08 22:02 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-30 12:28:30 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-01 11:58:26 UTC
A vulnerability was found in perl File-Path. In the rmtree() and remove_tree() functions, the chmod()logic to make directories traversable can be abused to set the mode on an attacker-chosen file to an attacker-chosen value.  This is due to the time-of-check-to-time-of-use (TOCTTOU) race condition between the stat() that decides the inode is a directory and the chmod() that tries to make it user-rwx.

Upstream issue:

https://rt.cpan.org/Public/Bug/Display.html?id=121951

Upstream patch:

https://github.com/jkeenan/File-Path/commit/e5ef95276ee8ad471c66ee574a5d42552b3a6af2

Comment 1 Andrej Nemec 2017-06-01 11:59:31 UTC
Created perl-File-Path tracking bugs for this issue:

Affects: fedora-all [bug 1457834]

Comment 2 Stefan Cornelius 2017-06-30 12:28:42 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.